curl --request POST \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/exposures \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John Smith",
"entityType": "individual"
}
'{
"id": "550e8400-e29b-41d4-a716-446655440003"
}Exposures
Create Exposure
Creates a new exposure for the company.
Required fields:
name- Name of the exposureentityType- Entity type (e.g., “individual”, “organization”, “dealership”)
Required permission: company.insured:create
POST
/
api
/
external
/
companies
/
{companyId}
/
exposures
curl --request POST \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/exposures \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John Smith",
"entityType": "individual"
}
'{
"id": "550e8400-e29b-41d4-a716-446655440003"
}Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Body
application/json
Name of the insured (required)
Entity type of the insured (required). Examples include "individual", "organization", "dealership", etc.
Custom data fields for this insured. Keys must match fields from GET /insureds/configuration for the specified entityType. Send null for a key to leave it unset.
Show child attributes
Show child attributes
Response
Exposure created successfully
The ID of the created exposure
Was this page helpful?
